package com.bonus.core.customer.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("组织基础信息出参")
@Data
public class OrgBasicInfoVO {
   @TableId
   @ApiModelProperty("主键自增")
   private Long id;
   @ApiModelProperty("机构id")
   private Long orgId;
   @ApiModelProperty("机构编号")
   private String orgNum;
   @ApiModelProperty("机构名称")
   private String orgName;
   @ApiModelProperty("机构全称")
   private String orgFullName;
   @ApiModelProperty("上级机构id")
   private Long superId;
   @ApiModelProperty("是否删除")
   private Integer ifDel;

   public Long getId() {
      return this.id;
   }

   public Long getOrgId() {
      return this.orgId;
   }

   public String getOrgNum() {
      return this.orgNum;
   }

   public String getOrgName() {
      return this.orgName;
   }

   public String getOrgFullName() {
      return this.orgFullName;
   }

   public Long getSuperId() {
      return this.superId;
   }

   public Integer getIfDel() {
      return this.ifDel;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setOrgId(final Long orgId) {
      this.orgId = orgId;
   }

   public void setOrgNum(final String orgNum) {
      this.orgNum = orgNum;
   }

   public void setOrgName(final String orgName) {
      this.orgName = orgName;
   }

   public void setOrgFullName(final String orgFullName) {
      this.orgFullName = orgFullName;
   }

   public void setSuperId(final Long superId) {
      this.superId = superId;
   }

   public void setIfDel(final Integer ifDel) {
      this.ifDel = ifDel;
   }






}
